/* #region ===== Featured Divider ===== */

.section-divider {
  display: flex;
  align-items: center;
  gap: 10px;
  color: rgba(255, 255, 255, 0.3);
  font-size: var(--event-date);
  width: clamp(200px, 142.86px + 17.857vw, 400px);
  margin: 10px auto clamp(0px, -2.857px + 0.893vw, 8px);
}

.section-divider::before,
.section-divider::after {
  content: "";
  flex: 1;
  height: 2px;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 999px;
}

/* #endregion */

/* #region ===== Featured Cards ===== */

.carousel-section {
  padding-top: 10px;
  padding-bottom: 20px;
}

.carousel-track-wrap {
  position: relative;
  overflow-x: auto;
  scrollbar-width: none;
  padding: 5px 0;
  margin: -5px 0;
}

.carousel-track {
  display: flex;
  gap: clamp(8px, 5.71px + 0.714vw, 16px);
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
  width: fit-content;
  margin: 0 auto;
}

.carousel-track::-webkit-scrollbar {
  display: none;
}

.carousel-card {
  position: relative;
  flex: 0 0 clamp(120px, 108.57px + 2.857vw, 160px);
  scroll-snap-align: start;
  border-radius: 10px;
  overflow: hidden;
  cursor: pointer;
  background: var(--event-card-bg);
  transition: transform 0.25s;
  border: 2px solid var(--border);
}

@media (hover: hover) {
  .carousel-card:hover {
    transform: scale(1.05);
  }
}

.shimmer {
  position: absolute;
  inset: 0;
  width: 200%;
  left: -50%;
  pointer-events: none;

  background: linear-gradient(
    110deg,
    rgba(0, 191, 255, 0) 0%,
    rgba(0, 191, 255, 0.03) 30%,
    rgba(0, 191, 255, 0.2) 50%,
    rgba(0, 191, 255, 0.03) 70%,
    rgba(0, 191, 255, 0) 100%
  );

  transform: translateX(-120%);
  animation: shimmerMove 9s ease-in-out infinite;
}

@keyframes shimmerMove {
  0% {
    transform: translateX(-130%);
  }
  100% {
    transform: translateX(130%);
  }
}

.carousel-card:active {
  transform: scale(0.95);
}

.carousel-card-img {
  width: 100%;
  height: clamp(90px, 81.43px + 2.143vw, 120px);
  object-fit: cover;
  display: block;
  object-position: top;
}

.carousel-card-body {
  padding: 5px;
}

.carousel-card-title {
  font-size: clamp(14px, 12.86px + 0.357vw, 18px); /*18*/
  color: var(--orange);
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-transform: capitalize;
}

.carousel-card-date {
  font-size: clamp(14px, 12.86px + 0.357vw, 18px); /*16*/
  color: var(--light-gray);
}

/* #endregion */
